"use client";

import { ReactNode } from "react";

import { Session } from "next-auth";
import { SessionProvider } from "next-auth/react";

interface SessionAuthProps {
  children: ReactNode;
  session: Session | null;
}

function SessionAuth({ session, children }: SessionAuthProps) {
  return <SessionProvider session={session}>{children}</SessionProvider>;
}

export default SessionAuth;
